//
// "uman" module - http://atoms.scilab.org/toolboxes/uman
// Copyright (C) - 2015-2019 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING.  
// The terms are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// =================================================================================
setlanguage en;

// Page without short description
uman codechecking_criteria
uman slint  // quoting in See also

// Pages using non-breakable spaces
uman bitor h
uman scatter d

// Pages with nested terms, itemized, and ordered lists 
uman brackets d

// Itemized history (1 level):
uman bitor h      // multiline with wrapping
uman isoview h    // multiline without wrapping
uman uman h       // multiline mixte
uman uicontrol h

// history with some <code> tags
uman flipdim h    

// Pages with examples including some literal <tags>.. </tags>
uman xmlXPath e

// Page with multiples Description-like sections
uman grand a

// Pages with Tables
// =================
uman atomsSetConfig d // Wide table  <= umanAllowWideTables
uman EXTRACTBITS a    // Wide tables <= umanAllowWideTables
uman m2sci_diag e     // programlisting in a 2-cell table
uman PlotSparse p   // 2 tables without borders
uman atomsInstall p // tables in a itemlist, with borders & long wrapped lines
uman atomsGetInstalledPath p    // Table with a missing cell
uman codechecking_criteria d    // Nested tables
uman int8 h      // Table in history
uman iconvert h  // Table in history

// Tables with colspan:
uman setdiff
uman keys      // with borders
uman typeof d  // with borders
uman file p    //> 6.0.2

// Tables in variablelist: file, fileinfo
uman param3d p      // Tables| in nested variablelist
uman EXPRESSION     // Unnested table in an itemized list
uman m2scideclare p // Unnested table| in nested itemized lists
// Other tables: isoview, colordef|, iconvert,
//   int8, mtlb_int16|, m2sci_isa, cond, gettext, calerf, consolebox, EXPRESSION

// ---------------

// Page with a <screen> area
uman ndgrid el

// Page with URLS including "&"
uman hilb cde

// Page with several xml:id
uman bessel a

// Indented contents. Warning and note
uman dasrt p

// Operators or symbols. Internal shortcut to kron()
uman .*. cd        
 
// Language switches
uman linspace alfr
uman linspace alru // Russian version of linspace's page
uman matrix alja   // English reference version

// Inner redirections to pages or summaries :
uman datatype   // inner redirection to the "type" page
uman sparses    // Display the summary of functions dealing with sparse matrices. 
                // Other shortcuts are defined in the same way. Try with "statistics"

// Scilab equivalences of external patterns inexisting in Scilab
uman polyval    // Automatic Octave => Scilab redirection performed when possible.
                // polyval() does not exist in Scilab but is the Octave
                // function for Scilab's horner() => horner's page is displayed

// Scilab equivalence of external faux-amis			  
uman end ax  // "x" targets in priority an eXternal meaning for "end". In Octave, "end" 
             // means "index of last element", as "$" in Scilab => "$" page is displayed

// See also section
// ----------------
uman uman    // * Items belonging to the uman module are displayed with their
             //   short description.
             // * Items belonging to Scilab: short description = item's label
             // * Items being URL: URL displayed (without —)
 
// With an ATOMS package
// ---------------------
try
    uman atoms d           // List of ATOMS functions
    yn = atomsIsInstalled("plotlib"); 
    atomsInstall plotlib ; // Let's install Plotlib
    atomsIsLoaded plotlib  // => %F
    uman plot de      // the Scilab's plot() page is targeted in priority
    uman plot dex     // "x" for the eXternal plot() page from Plotlib to be targeted
    uman plot dexg    // the help browser called with "g" does not come, because Plotlib is not loaded
    uman quiver b    // targets the ONLINE bug page of the plotlib module on the Scilab forge.
    if ~yn, atomsRemove("plotlib"), end    // cleaning after the example
catch
end
