// Copyright (C) - 2015-2019 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING.  
// The terms are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// =============================================================================
//     Unit tests for "uman ... b.."
//
// "uman" online page: http://atoms.scilab.org/toolboxes/uman
//
// <-- TEST WITH GRAPHIC -->   // We need the JVM
// <-- INTERACTIVE TEST -->
// Active Internet connexion required

// Documented bugs online: The "b" options
// ----------------------------------------
uman 11625 b     // Displays the bugzilla page of the bug #11625

uman ode b       // Bugzilla list, as for any Scilab internal function, well sorted

uman Type b      // Bugzilla. Queries are case-insensitive => same as 'uman type b'
                 // There is no way to build case-sensitive query on Bugzilla.

uman à b         // Bugzilla. UTF8 characters are distinguished (but not very
                 //  useful since the official Bugzilla language is english)

uman sylvester b  // For any unknown pattern without defined redirection:
                  // => searched as is on bugzilla

uman flipud b    // Unknown pattern. The existing redirection to flipdim()
                 // is ignored => "flipud" is searched for as is on Bugzilla.

uman cshift b    // Only on FileExchange => dedicated online FE page, #comments
                 //  section, where bugs may be reported.

uman gpib b      // External ressource with registered website => website targeted

uman uman|cshift b // => Bugzilla, always when multiple items are queried.
                   // Whatever are the involved items: registered Scilab ATOMS
                   // forge or external features, or unregistered features, or
                   // mixing registered + unregistered items, any pattern made
                   // of multiple items is searched for on BUGZILLA.

uman ndgrid|meshgrid b     // => Bugzilla (multiple items)
uman userdata|user_data b  // => Bugzilla (multiple items)

uman <10 b         // Bugzilla reports changed for the last 10 days
uman <1<10000 b    // Reports about "<1" changed for the last 10000 days

uman graphics/><30 b    // Reports in the graphics category, changed max 30 days ago

uman maths/gougeon> b   // Reports / comments on Bugzilla by author=gougeon
                        // in the Maths category

uman helpsys/gougeon>console b // Reports / comments by gougeon about "console"
                                // in the "help system" category
uman doc/gougeon><100 b // Reports / comments on Bugzilla by author=gougeon
                        // about the Documentation within the last 100 days

uman doc/gougeon>clear<1000 b // Reports / comments on Bugzilla by author=gougeon
                        // about the Documentation within the last 100 days
uman >>1 b       // queries ">1" on Bugzilla
uman <0< b       // queries "<0" on Bugzilla with no age condition
uman ><0< b      // Same query

// Examples with an external toolbox installed
// -------------------------------------------
yn = atomsIsInstalled("plotlib");
atomsInstall plotlib ; // Let's instal Plotlib
atomsIsLoaded plotlib  // => %F: no need to be loaded

uman plot b  // "plot" exists in Scilab as well as in "plotlib"
             // By default, the Scilab native entry is considered. So here
             // "plot" is search on Scilab Bugzilla, as a part of Scilab.

//uman plot xb  // When we use the "x" option, priority is given to the eXternal
              // feature => the ticket page of plotlib is addressed on the
              // plotlib forge, instead of Scilab Bugzilla.

uman quiver b // quiver is in plotlib, not in Scilab => no need to use the
              // "x" option: the tickets page of plotlib is directly targeted
              // on its forge. Using "x" does not mind.

if ~yn, atomsRemove("plotlib"), end    // cleaning after the example

// Example with the "removed" toolbox installed
// --------------------------------------------
yn = atomsIsInstalled("removed");
atomsInstall removed ;

uman relocate_handle b  // Bugzilla must be targeted, not the "removed ATOMS page

if ~yn, atomsRemove("removed"), end    // cleaning after the example
