// Copyright (C) - 2015-2019 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING.  
// The terms are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// =============================================================================
//     Unit tests for "uman ... s.."
//
// "uman" online page: http://atoms.scilab.org/toolboxes/uman
//
// <-- TEST WITH GRAPHIC -->   // We need the JVM
// <-- ENGLISH IMPOSED -->

// The "j" option is mandatory to create the .dia.file
lines(-1);  // Full console width
lines(0);   // No paging
widths = lines();
widths = [widths(1) 65];  // Tests for 2 different console widths
for nc = widths
    lines(0,nc);
    // "s" display the related Summary instead of the feature's page
    uman who js       // A Summary with subcategories
    uman Type js      // The * Type  id must not include any hash-code like in
                      //     * Type-a1fa27779242b4902f7ae3bdd5c6d508 — Create ..
                      // used when an item is an homonym.
    uman who jslfr    // the "L" option can be used
    uman hdf5 j       // shortcut to the HDF5 list
    uman polyval js   // after a polyval => horner redirection
    uman web js       // redirection to File Exchange => indication in console
    uman null jxs     // redirection to 'uman kernel s'
    uman uman js      // Can be used on loaded external modules
    // Options hierarchy: 'u' > 's' > 'a' 'p' 'd' 'e' 'h':
    uman iconvert jus   // must display the syntax, not the summary
    uman iconvert jps   // must display the summary
    uman iconvert jds   // idem
    uman iconvert jes   // idem
    uman iconvert jhs   // idem
    uman iconvert jas   // idem
    // uman who sg   // is tested in uman_g (interactive)
    // uman who sw   // is tested in uman_w (interactive)
    // uman who sb   // is tested in uman_b (interactive)
    // uman cgs s@   // is tested in uman_@ (interactive)
    // TODO : on an unloaded external module
end
