// Copyright (C) - 2015-2019 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING.  
// The terms are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// =============================================================================
//     Unit tests for "uman ... w.."
//
// "uman" online page: http://atoms.scilab.org/toolboxes/uman
//
// <-- TEST WITH GRAPHIC -->   // We need the JVM
// <-- INTERACTIVE TEST -->
// Active Internet connexion required

nc = 100;
lines(-1);  // Full console width
lines(0);   // No paging
lines(0,nc);
uman type wl      // type() online page in ENGLISH
uman Type wl      // Type's online page in ENGLISH: Case-sensitive
uman cumsum wl		// Scilab function page
uman CUMSUM wl		// palette page
uman ode w        // ode() online page in session language
uman ode wl       // ode() online page in ENGLISH (reference)
uman ode wlpt     // ode() online page in Portuguese
uman who wsl      // who() online page. Impossible to target its section.
                  // ToC displayed in the console.
uman uman w       // uman() ATOMS page (@ top). Page displayed in the console.
uman sylvester wl  // => Scilab online search engine % sylvester
uman scimax w     // scimax not on ATOMS => Portal of its FORGE
uman contour3d w  // Only on FileExchange => Its FE page
uman gpib w       // External web site
uman end xw       // "x" works => redirects to dollar online page

// Removed items and their replacements:
uman sort wlru    // redirects to gsort() online page in Russian
                  // Its "removed" status has a lower priority
uman fit_dat w    // Removed after Scilab 5.4.1 > 5.3 => last online archive displayed
uman pol2tex w    // Removed after Scilab 5.2 < 5.3, with a declared replacement
                  //  - displays the prettyprint() replacement web page
                  //  - If "removed" ATOMS is installed: displays the pol2tex
                  //    page in the console

// Local function
function [b, c] = myfun(a)
    // myfun() local function defined for testing uman .. g
    // a: first input
    // b: first output
    // c: second output
    b = a;
    c = %pi;
endfunction
uman myfun w     // => Scilab online search engine % myfun.
                 // No message in console about the local myfun().

// uman plot wx  // (from plotlib) TODO:
